<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.vote.system.mapper.VoteJudgesVisibleFieldsMapper">

    <resultMap id="BaseResultMap" type="com.vote.system.domain.VoteJudgesVisibleFields">
        <id property="id" column="id" jdbcType="BIGINT"/>
        <result property="roundId" column="round_id" jdbcType="BIGINT"/>
        <result property="workSettingsId" column="work_settings_id" jdbcType="BIGINT"/>
        <result property="eventId" column="event_id" jdbcType="BIGINT"/>
        <result property="visibleFields" column="visible_fields" jdbcType="VARCHAR"/>
        <result property="createAt" column="create_at" jdbcType="TIMESTAMP"/>
        <result property="updateAt" column="update_at" jdbcType="TIMESTAMP"/>
        <result property="tenantId" column="tenant_id" jdbcType="BIGINT"/>
    </resultMap>

    <sql id="Base_Column_List">
        id
        ,judges_id,visible_fields,
        create_at,update_at,tenant_id
    </sql>
</mapper>
